Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.validator
Class RegexValidator

    java.lang.Object
      javax.faces.validator.RegexValidator

All Implemented Interfaces:
  EventListener, PartialStateHolder, StateHolder, Validator

    public class RegexValidator

extends Object
implements Validator, PartialStateHolder

A Validator that checks against a Regular Expression (which is the pattern property). The pattern must resolve to a String that follows the java.util.regex standards.

Since:
  2.0

Field Summary
`static String` | `MATCH_EXCEPTION_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the act of matching the value against the pattern returned from `getPattern()` fails because of a `PatternSyntaxException`.
`static String` | `NOT_MATCHED_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the act of matching the value against the pattern returned from `getPattern()` fails because the value does not match the pattern.
`static String` | `PATTERN_NOT_SET_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the value returned from `getPattern()` is `null` or the empty String.
`static String` | `VALIDATOR_ID` The standard converter id for this converter.

Fields inherited from interface javax.faces.validator.Validator
`NOT_IN_RANGE_MESSAGE_ID`

Constructor Summary
`RegexValidator()`

Method Summary
`void` | `clearInitialState()` Reset the PartialStateHolder to a non-delta tracking state.
`String` | `getPattern()` Return the `ValueExpression` that yields the regular expression pattern when evaluated.
`boolean` | `initialStateMarked()` Return `true` if delta state changes are being tracked, otherwise `false`
`boolean` | `isTransient()` If true, the Object implementing this interface must not participate in state saving or restoring.
`void` | `markInitialState()` The runtime must ensure that the `PartialStateHolder.markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state.
`void` | `restoreState(FacesContext context, Object state)` Perform any processing required to restore the state from the entries in the state Object.
`Object` | `saveState(FacesContext context)` Gets the state of the instance as a `Serializable` Object.
`void` | `setPattern(String pattern)` The Regular Expression property to validate against.
`void` | `setTransient(boolean transientValue)` Denotes whether or not the Object implementing this interface must or must not participate in state saving or restoring.
`void` | `validate(FacesContext context, UIComponent component, Object value)` Validate a String against a regular expression pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATOR_ID

    public static final String VALIDATOR_ID

  The standard converter id for this converter.

  See Also:
    Constant Field Values

### PATTERN_NOT_SET_MESSAGE_ID

    public static final String PATTERN_NOT_SET_MESSAGE_ID

  The message identifier of the `FacesMessage` to be created if the value returned from `getPattern()` is `null` or the empty String.

  See Also:
    Constant Field Values

### NOT_MATCHED_MESSAGE_ID

    public static final String NOT_MATCHED_MESSAGE_ID

  The message identifier of the `FacesMessage` to be created if the act of matching the value against the pattern returned from `getPattern()` fails because the value does not match the pattern.

  See Also:
    Constant Field Values

### MATCH_EXCEPTION_MESSAGE_ID

    public static final String MATCH_EXCEPTION_MESSAGE_ID

  The message identifier of the `FacesMessage` to be created if the act of matching the value against the pattern returned from `getPattern()` fails because of a `PatternSyntaxException`.

  See Also:
    Constant Field Values

Constructor Detail

### RegexValidator

    public RegexValidator()

Method Detail

### setPattern

    public void setPattern(String pattern)

  The Regular Expression property to validate against.

  Parameters:
    `pattern` - a regular expression pattern

### getPattern

    public String getPattern()

  Return the `ValueExpression` that yields the regular expression pattern when evaluated.

### validate

    public void validate(FacesContext context,
                         UIComponent component,
                         Object value)

  Validate a String against a regular expression pattern. The full regex pattern must be matched in order to pass the validation.

  Specified by:
    `validate` in interface `Validator`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent we are checking for correctness
    `value` - the value to validate
  Throws:
    `NullPointerException` - if `context` or `component` is `null`
    `ValidatorException` - if validation fails

### saveState

    public Object saveState(FacesContext context)

  Description copied from interface: `StateHolder`

  Gets the state of the instance as a `Serializable` Object.

  If the class that implements this interface has references to instances that implement StateHolder (such as a `UIComponent` with event handlers, validators, etc.) this method must call the `StateHolder.saveState(javax.faces.context.FacesContext)` method on all those instances as well. This method must not save the state of children and facets. That is done via the `StateManager`

  This method must not alter the state of the implementing object. In other words, after executing this code:

  `

       Object state = component.saveState(facesContext);

  `

  `component` should be the same as before executing it.

  The return from this method must be `Serializable`

  Specified by:
    `saveState` in interface `StateHolder`

### restoreState

    public void restoreState(FacesContext context,
                             Object state)

  Description copied from interface: `StateHolder`

  Perform any processing required to restore the state from the entries in the state Object.

  If the class that implements this interface has references to instances that also implement StateHolder (such as a `UIComponent` with event handlers, validators, etc.) this method must call the `StateHolder.restoreState(javax.faces.context.FacesContext, java.lang.Object)` method on all those instances as well.

  Specified by:
    `restoreState` in interface `StateHolder`

### isTransient

    public boolean isTransient()

  Description copied from interface: `StateHolder`

  If true, the Object implementing this interface must not participate in state saving or restoring.

  Specified by:
    `isTransient` in interface `StateHolder`

### setTransient

    public void setTransient(boolean transientValue)

  Description copied from interface: `StateHolder`

  Denotes whether or not the Object implementing this interface must or must not participate in state saving or restoring.

  Specified by:
    `setTransient` in interface `StateHolder`
  Parameters:
    `transientValue` - boolean pass `true` if this Object will not participate in state saving or restoring, otherwise pass `false`.

### markInitialState

    public void markInitialState()

  Description copied from interface: `PartialStateHolder`

  The runtime must ensure that the `PartialStateHolder.markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state. The implementor of the interface must ensure that `PartialStateHolder.initialStateMarked()` returns `true` from the time `markInitialState()` is called until `PartialStateHolder.clearInitialState()` is called, after which time `initialStateMarked()` must return `false`. Also, during the time that the instance returns `true` from `initialStateMarked()`, the implementation must return only the state that has changed in its implementation of `StateHolder.saveState(javax.faces.context.FacesContext)`.

  Specified by:
    `markInitialState` in interface `PartialStateHolder`

### initialStateMarked

    public boolean initialStateMarked()

  Description copied from interface: `PartialStateHolder`

  Return `true` if delta state changes are being tracked, otherwise `false`

  Specified by:
    `initialStateMarked` in interface `PartialStateHolder`

### clearInitialState

    public void clearInitialState()

  Description copied from interface: `PartialStateHolder`

  Reset the PartialStateHolder to a non-delta tracking state.

  Specified by:
    `clearInitialState` in interface `PartialStateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.